Package org.springframework.jdbc.core.metadata

# Class SybaseCallMetaDataProvider

java.lang.Object
org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider
org.springframework.jdbc.core.metadata.SybaseCallMetaDataProvider

All Implemented Interfaces:
  `CallMetaDataProvider`

public class SybaseCallMetaDataProvider extends GenericCallMetaDataProvider
Sybase specific implementation for the `CallMetaDataProvider` interface. This class is intended for internal use by the Simple JDBC classes.

Since:
  2.5
Author:
  Thomas Risberg, Giuseppe Milicia

## Field Summary

### Fields inherited from class org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider

`logger`

## Constructor Summary

Constructors
Constructor
Description
`SybaseCallMetaDataProvider(DatabaseMetaData databaseMetaData)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`byPassReturnParameter(String parameterName)`
Should we bypass the return parameter with the specified name?
`String`
`namedParameterBindingToUse(String parameterName)`
Return the name of the named parameter to use for binding the given parameter name.
`String`
`parameterNameToUse(String parameterName)`
Provide any modification of the column name passed in to match the meta-data currently used.

### Methods inherited from class org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider

`catalogNameToUse, createDefaultInOutParameter, createDefaultInParameter, createDefaultOutParameter, getCallParameterMetaData, getRefCursorSqlType, getUserName, initializeWithMetaData, initializeWithProcedureColumnMetaData, isProcedureColumnMetaDataUsed, isRefCursorSupported, isReturnResultSetSupported, isStoresLowerCaseIdentifiers, isStoresUpperCaseIdentifiers, isSupportsCatalogsInProcedureCalls, isSupportsSchemasInProcedureCalls, metaDataCatalogNameToUse, metaDataSchemaNameToUse, procedureNameToUse, schemaNameToUse, setStoresLowerCaseIdentifiers, setStoresUpperCaseIdentifiers, setSupportsCatalogsInProcedureCalls, setSupportsSchemasInProcedureCalls`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SybaseCallMetaDataProvider

public SybaseCallMetaDataProvider(DatabaseMetaData databaseMetaData) throws SQLException

Throws:
  `SQLException`

## Method Details

### parameterNameToUse

@Nullable public String parameterNameToUse(@Nullable String parameterName)
Description copied from interface: `CallMetaDataProvider`
Provide any modification of the column name passed in to match the meta-data currently used.

This could include altering the case.

Specified by:
  `parameterNameToUse` in interface `CallMetaDataProvider`
Overrides:
  `parameterNameToUse` in class `GenericCallMetaDataProvider`
Parameters:
  `parameterName` - name of the parameter of column

### namedParameterBindingToUse

public String namedParameterBindingToUse(@Nullable String parameterName)
Description copied from interface: `CallMetaDataProvider`
Return the name of the named parameter to use for binding the given parameter name.

Specified by:
  `namedParameterBindingToUse` in interface `CallMetaDataProvider`
Overrides:
  `namedParameterBindingToUse` in class `GenericCallMetaDataProvider`
Parameters:
  `parameterName` - the name of the parameter to bind
Returns:
  the name of the named parameter to use for binding the given parameter name

### byPassReturnParameter

public boolean byPassReturnParameter(String parameterName)
Description copied from interface: `CallMetaDataProvider`
Should we bypass the return parameter with the specified name?

This allows the database specific implementation to skip the processing for specific results returned by the database call.

Specified by:
  `byPassReturnParameter` in interface `CallMetaDataProvider`
Overrides:
  `byPassReturnParameter` in class `GenericCallMetaDataProvider`